Add ability to silence HTTP paths within the logging system

07/16/2015 10:10 AM - John Matthews

Status: New   
Assignee:    

Category: Logging   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  
Pull request:    

Description

This request is asking for the SilencedLogger to be added back to Katello.

It was removed in commit:

 https://github.com/Katello/katello/pull/5253/files#diff-d7603c91d0c428042a865667c2ad4e02L1

RHCI is requesting this.

We need this to limit noise in the log file from polling the ForemanTasksController#show method.

We typically poll the tasks controller for 4-5 hours during a deployment, this results in a large number of entries of the below:

2015-07-15 09:50:41 [I] Processing by Api::V21::ForemanTasksController#show as JSON

2015-07-15 09:50:41 [I]   Parameters: {"apiv"=>"v21", "id"=>"77e40370-014a-4547-a056-dc18ce29da17"}

2015-07-15 09:50:42 [I] Completed 200 OK in 295ms (Views: 290.0ms | ActiveRecord: 1.5ms)

2015-07-15 09:50:46 [I] Processing by Api::V21::ForemanTasksController#show as JSON

2015-07-15 09:50:46 [I]   Parameters: {"apiv"=>"v21", "id"=>"77e40370-014a-4547-a056-dc18ce29da17"}

2015-07-15 09:50:47 [I] Completed 200 OK in 122ms (Views: 117.3ms | ActiveRecord: 1.3ms)

2015-07-15 09:50:52 [I] Processing by Api::V21::ForemanTasksController#show as JSON

2015-07-15 09:50:52 [I]   Parameters: {"apiv"=>"v21", "id"=>"77e40370-014a-4547-a056-dc18ce29da17"}

We'd like to use the SilencedLogger to limit these.

History

#1 - 08/01/2015 10:47 AM - Eric Helms

- Project changed from Katello to Foreman

- Subject changed from Add Katello::Middleware::SilencedLogger back  to Add ability to silence HTTP paths within the logging system

#2 - 08/03/2015 03:32 AM - Dominic Cleal

- Category set to Logging
